Draft SelectPlane/de: Difference between revisions

From FreeCAD Documentation
(Created page with "Du kannst das Gitter über die Verknüpfung ein- und ausblenden {{KEY|G}} {{KEY|R}}.")
(Created page with "=== Mit ausgewähltem Element ===")
Line 35: Line 35:
Du kannst das Gitter über die Verknüpfung ein- und ausblenden {{KEY|G}} {{KEY|R}}.
Du kannst das Gitter über die Verknüpfung ein- und ausblenden {{KEY|G}} {{KEY|R}}.


=== With element selected ===
=== Mit ausgewähltem Element ===


# Select a face of an existing object in the 3D view, or hold {{KEY|Ctrl}} and select three vertices of any object. {{Version|0.17}}
# Select a face of an existing object in the 3D view, or hold {{KEY|Ctrl}} and select three vertices of any object. {{Version|0.17}}

Revision as of 20:50, 4 December 2019

Ebene markieren

Menüeintrag
Entwurf → Dienstprogramme → Ebene markieren
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
W P
Eingeführt in Version
-
Siehe auch
Draft SetWorkingPlaneProxy/de,Draft ToggleGrid/de

Beschreibung

Das Entwurf Arbeitsbereich verfügt über ein Bearbeitungsebenensystem. Eine Ebene in der 3D Ansicht zeigt an, wo eine Entwurfsform erstellt wird. Es gibt mehrere Möglichkeiten, die Bearbeitungsebene zu definieren:

  • Von einer ausgewählten Fläche.
  • Von drei ausgewählten Knoten.
  • Aus der gegenwärtigen Sicht.
  • Von einer Voreinstellung: oben, vorne oder seitlich.
  • Keine, in diesem Fall wird die Bearbeitungsebene beim Starten eines Befehls automatisch an die aktuelle Ansicht oder an eine Fläche angepasst, wenn Du mit dem Zeichnen auf einer vorhandenen Fläche beginnst.

Unterschiedliche Arbeitsebenen können eingestellt werden, auf denen Formen gezeichnet werden können.

Anwendung

Die WähleEbene Taste ist gegenwärtig in der Draft Tray/de Werkzeugleiste, die nur in den Draft Arbeitsbereich und Arch Arbeitsbereich Arbeitsbereichen erscheint.

Ohne ausgewähltes Element

  1. Drücke die WähleEbene Taste.
  2. Wähle den Versatz, den Rasterabstand und die Hauptlinien aus
  3. Wähle eine der Vorgaben aus: XY (top), XZ (front), YZ (side), View, or Auto.

Sobald die Ebene eingestellt ist, ändert sich die Taste, um die aktive Ebene anzuzeigen Top, Front, Side, Auto, d(0.0,-1.0,0.0).

Du kannst das Gitter über die Verknüpfung ein- und ausblenden G R.

Mit ausgewähltem Element

  1. Select a face of an existing object in the 3D view, or hold Ctrl and select three vertices of any object. introduced in version 0.17
  2. Press the SelectPlane button, or right click and select Utilities → SelectPlane.

The plane will be created aligned to the face of the object, or to the plane defined by the three vertices.

Options

  • Press the XY (top) button to set the working plane on the XY plane. To easily draw on this plane, you should set the view to the top or bottom (the normal is in the positive or negative Z direction). Press 2 or 5 to quickly switch to these views.
  • Press the XZ (front) button to set the working plane on the XZ plane. To easily draw on this plane, you should set the view to the front or rear (the normal is in the negative or positive Y direction). Press 1 or 4 to quickly switch to these views.
  • Press the YZ (side) button to set the working plane on the YZ plane. To easily draw on this plane, you should set the view to the left or right side (the normal is in the positive or negative X direction). Press 3 or 6 to quickly switch to these views.
  • Press the View button to set the working plane to the current 3D view, perpendicular to the camera axis and passing through the origin (0,0,0).
  • Press the Auto button to unset any current working plane, and automatically set a working plane when a tool is used. When a drawing tool is selected the grid will be automatically updated to the current view; then, if the view is rotated, and another tool is selected, the grid redraws in the new view. This is equivalent of pressing View automatically before using a tool.
  • Set the "Offset" value to set the working plane at a certain perpendicular distance from the plane you selected.
  • Set the "Grid spacing" value to define the space between each line in the grid.
  • Set the "Main line every" value to draw a slightly thicker line in the grid at the set value. For example, if the grid spacing is 0.5 m, and there is a main line every 20 lines, there will be slightly thicker line every 10 m.
  • Click on the "Center plane on view" checkbox to draw the plane and grid closer to the camera view in the 3D view.
  • Press Esc or the Close button to abort the current command.

Scripting

See also: Draft API and FreeCAD Scripting Basics. See the WorkingPlane API.

Working plane objects can easily be created and manipulated in macros and from the Python console.

You can access the current Draft working plane, and apply transformations to it:

import FreeCAD

Workplane = FreeCAD.DraftWorkingPlane

v1 = FreeCAD.Vector(0, 0, 0)
v2 = FreeCAD.Vector(1, 1, 1).normalize()

Workplane.alignToPointAndAxis(v1, v2, 17)

A Draft command must be issued after changing the working plane to update the visible grid.

You can create your own planes, and use them independently of the current working plane.

import WorkingPlane

Plane = WorkingPlane.plane()